EDIT - bug #7939

TaxonNodeDTO need sortindex of Rank
12/06/2018 10:53 AM - Katja Luther

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

To avoid a DB call for comparing the ranks of two TaxonNodeDTOs the sortindex of the rank needs to be part of the DTO. And the
comparators need to be adapted to use the sortindex instead of rank.isHigher()

Associated revisions

Revision 45cac117 - 12/07/2018 12:08 PM - Katja Luther

ref #7939: add oderlnderComnparator and use it in taxonnodeDtoRankAndNameComparator

Revision b62ebf52 - 12/07/2018 01:01 PM - Katja Luther

ref #7939: adapt TaxonNavigator to moved comparator

Revision e12ddaf5 - 12/07/2018 01:25 PM - Katja Luther

ref #7939: adapt TaxonNavigator to moved comparator

History

#1 - 12/06/2018 10:55 AM - Katja Luther

- Description updated

#2 - 01/07/2019 02:29 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

please review

#3 - 01/25/2019 02:47 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 80

Difficult to review. If you have checked that the additional server calls do not take place anymore and additionally, the sorting still works, | think we
can close the ticket.

#4 - 01/29/2019 11:09 AM - Katja Luther
- Status changed from Feedback to Closed

#5 - 01/29/2019 02:13 PM - Andreas Miiller
- % Done changed from 80 to 100
